vaults/{vaultId}/ext-sync-tasks
Creates an external sync task and adds it to the queue. External sync tasks are used to synchronize data between Vault and external systems.
Resource Information
| Method and URI | POST /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/ext-sync-tasks |
| Authentication Context | User context required |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
| Content-Type* string | Must be application/json |
Request
URI Parameters
| vaultId string | The unique identifier of a Knowledge Vault. |
Request
Body Structure
| entityId* string | The ID of the entity (file, item, etc.) being synchronized. |
| entityClassId* string | The class ID of the entity being synchronized. The value should be from EntityClass, e.g., FILE, ITEM, CO. |
| configId* string | The ID of the external sync configuration being used. This value comes from the key of GET /vaults/{vaultId}/vault-options/ext-sync-configs response. |
| workflowType* string | The type of workflow for this sync task. This value comes from the selected configuration content returned by GET /vaults/{vaultId}/vault-options/ext-sync-configs. |
| description* string | A description of the external sync task. |
| params object | A dictionary of parameters that provides metadata about the external sync task. It mainly carries extra key-value data used to pass business-related additional information along the task execution chain. |
| * string | |
| executeImmediately boolean | Indicates whether to notify the agent immediately when the task is created.
|
| predecessorTaskId string | The ID of the predecessor task that must complete before this task can run. |
Response
HTTP Status Code Summary
| 200 OK | The external sync task was successfully created. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
Response
Body Structure (200)
| id string | A unique identifier for the external sync task. |
| vaultId int | The unique identifier of the Knowledge Vault this task belongs to. |
| userId int | The ID of the user who created this task. |
| createDate datetime: ISO 8601 | The date and time when the task was created. |
| params object | A dictionary of parameters that provides metadata about the external sync task. It mainly carries extra key-value data used to pass business-related additional information along the task execution chain. |
| * string | |
| status enum:string | The status of the external sync task. Possible values:
|
| entityId string | The ID of the entity (file, item, etc.) being synchronized. |
| entityClassId string | The class ID of the entity being synchronized. The value should be from EntityClass, e.g., FILE, ITEM, CO. |
| configId string | The ID of the external sync configuration being used. This value comes from the key of GET /vaults/{vaultId}/vault-options/ext-sync-configs response. |
| workflowType string | The type of workflow for this sync task. This value comes from the selected configuration content returned by GET /vaults/{vaultId}/vault-options/ext-sync-configs. |
| description string | A description of the external sync task. |
| executeImmediately boolean | Indicates whether to notify the agent immediately when the task is created.
|
| predecessorTaskId string | The ID of the predecessor task that must complete before this task can run. |
| url string | The relative URL to access this object. |
Example
This example illustrates how to create an external sync task.
Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:
- Vault Server IP address or hostname. Ex: http://10.41.110.49.
- Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.
Request
curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/ext-sync-tasks' \
-X 'POST' \
-H 'Content-Type: application/json'\
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'\
-d '{
"params": {
"entityClassId": "ITEM",
"entityId": "127",
"extSyncConfigId": "Adsk.Vault.ExternalSyncTask.FusionManage",
"workflowType": "Adsk.UploadItem"
},
"entityId": "127",
"entityClassId": "ITEM",
"configId": "Adsk.Vault.ExternalSyncTask.FusionManage",
"workflowType": "Adsk.UploadItem",
"description": "Sync to Fusion Manage (1000007)"
}'
Response
{
"id": "226",
"vaultId": 9,
"userId": 2,
"createDate": "2026-03-20T07:32:03.213Z",
"params": {
"entityClassId": "ITEM",
"entityId": "127",
"extSyncConfigId": "Adsk.Vault.ExternalSyncTask.FusionManage",
"workflowType": "Adsk.UploadItem"
},
"status": "Failure",
"entityId": "127",
"entityClassId": "ITEM",
"configId": "Adsk.Vault.ExternalSyncTask.FusionManage",
"workflowType": "Adsk.UploadItem",
"description": "Sync to Fusion Manage (1000007)",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/9/ext-sync-tasks/226"
}